#113 Failure while Mail-Revovery

OpenEMM
closed-fixed
nobody
OpenEMM 6.0 (9)
3
2009-12-24
2009-12-17
Shuro
No

Don't know anything about the Error, just this log:
20091217-s4-recovery.log
[17.12.2009 09:30:46] 21139 INFO/main: Starting up
[17.12.2009 09:30:46] 21139 INFO/collect: Mark mailing 19 (2009-12-17 Testmail für Bounces) for recovery
[17.12.2009 09:30:46] 21139 INFO/collect: Found 1 mailing(s) to recover
[17.12.2009 09:30:46] 21139 ERROR/main: Failed recovery: query start failed: MySQL-1064: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ': sid' at line 1
[17.12.2009 09:30:46] 21139 INFO/main: Going down

Discussion

  • Martin Aschoff

    Martin Aschoff - 2009-12-17

    We need more information: Operating system (distri + version), version of MySQL, situation when the issue happened

     
  • Martin Aschoff

    Martin Aschoff - 2009-12-17
    • status: open --> pending
     
  • Shuro

    Shuro - 2009-12-17

    Server: Debian 5.0 Lenny
    MySQL: 5.0.51a-24+lenny2

    Tried two times again, seems like the failure comes if Umlauts like ö ä ü are used in the Mailing-Name.
    Result in Frontend is "0 out of 0 Emails have been generated"

     
  • Shuro

    Shuro - 2009-12-17
    • status: pending --> open
     
  • Martin Aschoff

    Martin Aschoff - 2009-12-17

    Workaround: Please replace in script recovery.py in line 193 ": sid" with ":sid". It should work without the blank. Does it?

     
  • Shuro

    Shuro - 2009-12-17

    Seem so, but now OpenEMM freeze while OpenEMM.sh start, a second console and "ps aux" says that python /home/openemm/bin/scripts/recovery.py run and doesnt stop.

    Recovery-Log say:
    [17.12.2009 10:17:37] 22564 INFO/main: Starting up
    [17.12.2009 10:17:37] 22564 INFO/collect: Mark mailing 19 (2009-12-17 Testmail für Bounces) for recovery
    [17.12.2009 10:17:37] 22564 INFO/collect: Mark mailing 22 (test2) for recovery
    [17.12.2009 10:17:37] 22564 INFO/collect: Found 2 mailing(s) to recover
    [17.12.2009 10:17:37] 22564 INFO/mailing: Seen 0 customers, logged 0
    [17.12.2009 10:17:37] 22564 INFO/mailing: Seen 0 customers, logged 0
    [17.12.2009 10:17:37] 22564 DEBUG/recover: Still 2 mailings active
    [17.12.2009 10:18:07] 22564 DEBUG/recover: Still 2 mailings active
    [17.12.2009 10:18:37] 22564 DEBUG/recover: Still 2 mailings active
    [17.12.2009 10:19:07] 22564 DEBUG/recover: Still 2 mailings active
    [17.12.2009 10:19:37] 22564 DEBUG/recover: Still 2 mailings active
    [17.12.2009 10:20:07] 22564 DEBUG/recover: Still 2 mailings active
    [17.12.2009 10:20:37] 22564 DEBUG/recover: Still 2 mailings active
    [17.12.2009 10:21:07] 22564 DEBUG/recover: Still 2 mailings active
    [17.12.2009 10:21:37] 22564 DEBUG/recover: Still 2 mailings active

     
  • Martin Aschoff

    Martin Aschoff - 2009-12-17

    We have to look into that. As quick fix you should disable the recovery feature in bin/merger.sh by removing the call of recovery.sh.

     
  • Martin Aschoff

    Martin Aschoff - 2009-12-17
    • priority: 5 --> 3
     
  • Martin Aschoff

    Martin Aschoff - 2009-12-21
    • status: open --> open-fixed
     
  • Martin Aschoff

    Martin Aschoff - 2009-12-21

    Replace "exec" in file /home/openemm/bin/recovery.sh with "starter python" and be patient - recovery will take a while.

     
  • Martin Aschoff

    Martin Aschoff - 2009-12-24

    fixed in 6.0.1

     
  • Martin Aschoff

    Martin Aschoff - 2009-12-24
    • status: open-fixed --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks